import React from "react";
import { HashRouter, Route, Redirect } from "react-router-dom";
import "./global.css";
import CreateForm from "./pages/CreateForm";
import AnswerForm from "./pages/AnswerForm";
import Header from "./components/header/header";
import Footer from "./components/footer/footer";
import SignUp from "./pages/SignUp";
import SignIn from "./pages/SignIn";
import ListForms from "./pages/ListForms";
import EditForm from "./pages/EditForm";
import GetForm from "./pages/GetForm";
import VisualizeForm from "./pages/VisualizeForm";
function App() {
  return (
    <HashRouter>
      <Header />
      <Route exact path="/">
        <Redirect to="/SignIn" />
      </Route>
      <Route path="/SignUp" component={SignUp} />
      <Route path="/SignIn" component={SignIn} />
      <Route path="/visualize/:id" component={VisualizeForm} />
      <Route path="/create" component={CreateForm} />
      <Route path="/answer/:id" component={AnswerForm} />
      <Route path="/edit/:id" component={EditForm} />
      <Route path="/list/:id" component={ListForms} />
      <Route path="/form/:id" component={GetForm} />
      <Footer />
    </HashRouter>
  );
}

export default App;
